> For the complete documentation index, see [llms.txt](https://developers.hyp.co.il/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/changing-the-ui-language.md).

# Changing the UI Language

The `uiLang` property of `uiCustomData` allows you to set the language for UI elements in your payment page. The following values are supported:

* `eng` for English
* `heb` for Hebrew
* `ara` for Arabic
* `rus` for Russian

```json
<paymentPageData>
    <ppsJSONConfig>
        {
            "uiCustomData": {
                "uiLang": "heb"
            }
        }
    </ppsJSONConfig>
</paymentPageData>
```

The default UI language and the language used in XML responses can also be set using the `language` element higher up in the request properties, although at that level you can only set `ENG` for English or `HEB` for Hebrew:

```xml
<ashrait>
      <request>
          <version>2000</version>
          <language>ENG</language>
          ...
      </request>
</ashrait>
```

If both `language` and `uiLang` are set to different values, then the language defined by `uiLang` takes precedence.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/changing-the-ui-language.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
